Bug 1004190 - [abrt] firewall-config-0.3.4-1.fc19: types.py:113:function:TypeError: Argument 1 does not allow None as a value
[abrt] firewall-config-0.3.4-1.fc19: types.py:113:function:TypeError: Argumen...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
abrt_hash:3cf34d325a07db81d95185b2295...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 03:42 EDT by lev
Modified: 2015-02-17 12:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:03:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (578 bytes, text/plain)
2013-09-04 03:42 EDT, lev
no flags Details
File: environ (1.38 KB, text/plain)
2013-09-04 03:42 EDT, lev
no flags Details

  None (edit)
Description lev 2013-09-04 03:42:28 EDT
Version-Release number of selected component:
firewall-config-0.3.4-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/firewall-config
dso_list:       pygobject3-base-3.8.3-1.fc19.x86_64
executable:     /usr/bin/firewall-config
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
types.py:113:function:TypeError: Argument 1 does not allow None as a value

Traceback (most recent call last):
  File "/usr/bin/firewall-config", line 1592, in onChangeZone
    self.masqueradeCheck.set_active(masquerade)
  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
TypeError: Argument 1 does not allow None as a value

Local variables in innermost frame:
info: <gi.FunctionInfo object (set_active) at 0x0x2fda908>
args: (<CheckButton object at 0x3432af0 (GtkCheckButton at 0x310d2e0)>, None)
kwargs: {}
Comment 1 lev 2013-09-04 03:42:31 EDT
Created attachment 793512 [details]
File: backtrace
Comment 2 lev 2013-09-04 03:42:35 EDT
Created attachment 793513 [details]
File: environ
Comment 3 Jiri Popelka 2013-09-04 10:02:22 EDT
Seems that either
FirewallClient.queryMasquerade() or
FirewallClientConfigZoneSettings.getMasquerade()
returned None, although it should have returned bool.

I've seen couple similar bugs like bug #1003134 or bug #1003141 but have no idea what can be the cause.
Comment 4 xihaha400 2013-09-18 08:40:51 EDT
Description of problem:
操作reachrules,当设定规则后,对其进行重新编辑,勾选记录日志,但perfix一项留空,确定后,再次对该条规则点击编辑,系统报告奔溃

Version-Release number of selected component:
firewall-config-0.3.4-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/firewall-config
dso_list:       pygobject3-base-3.8.3-1.fc19.x86_64
executable:     /usr/bin/firewall-config
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
types.py:113:function:TypeError: Argument 1 does not allow None as a value

Traceback (most recent call last):
  File "/usr/bin/firewall-config", line 1800, in onEditRichRule
    self.add_edit_rich_rule(False)
  File "/usr/bin/firewall-config", line 1955, in add_edit_rich_rule
    old_obj.log.prefix)
  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
TypeError: Argument 1 does not allow None as a value

Local variables in innermost frame:
info: <gi.FunctionInfo object (set_text) at 0x0x33a28c0>
args: (<Entry object at 0x398ae60 (GtkEntry at 0x3746540)>, None)
kwargs: {}
Comment 5 Jiri Popelka 2013-09-19 04:33:40 EDT
I don't get this,
how the old_obj.log.prefix could have been None in set_text call ?

if old_obj.log.prefix:
  self.richRuleDialogLogPrefixEntry.set_text(old_obj.log.prefix)

(Something is rotten in the s/state of Denmark/Python/.)
Comment 6 Fedora End Of Life 2015-01-09 14:43:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 12:03:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.